### 3、docker基本使用

#### 3.1、镜像相关

搜索镜像

```
docker search centos
```

**解释说明：**

**NAME:** **镜像仓库源的名称**

**DESCRIPTION:** **镜像的描述**

**OFFICIAL:** **是否 docker 官方发布**

**stars:** **类似 Github 里面的 star，表示点赞、喜欢的意思。**

**AUTOMATED:** **自动构建。**

下载镜像

```
docker pull centos
```

查看本地镜像

```
docker images
```

把镜像做成离线包

```
docker save -o centos.tar.gz centos
```

解压离线镜像

```
docker load -i centos.tar.gz 
```

删除镜像

```
docker rmi -f centos:latest
```

#### 3.2、容器相关

以交互式方式`启动并进入`容器

```
docker run --name=hello -it centos /bin/bash
```

**退出方法：**

**1、输入`exit`，退出容器，退出之后`容器也会停止，不会再前台运行`**

**2、输入`Ctrl + P + Q` 正常退出，不会关闭容器**

 **解释：**

**docker run   运行并创建容器**

**--name   容器的名字**

**-i   交互式**

**-t   分配伪终端**

**-d  在后台运行docker**

**-p   把容器端口随机在物理机随机映射一个端口**

**centos:   启动docker需要的镜像**

**/bin/bash   说明你的shell类型为bash，bash shell是最常用的一种shell, 是大多数Linux发行版默认的shell。 此外还有C shell等其它shell。**

以守护进程方式启动容器

```
docker run --name=hello1 -td centos
```

进入启动后的容器

```
docker exec -it hello1 /bin/bash
```

查看容器

```
docker ps 
```

**`docker   ps  -a `     查看所有容器，包括已停止的**

停止容器

```
docker stop hello1
```

启动容器

```
docker start hello1
```

删除容器

```
docker rm -f hello1
```

docker命令帮助

```
docker --help
```

#### 3.3、`可能遇到的问题`

```
Public key for docker-ce-19.03.6-3.el7.x86_64.rpm is not installed
```

**解决方法：**

```
wget  https://get.docker.com/gpg

 rpmkeys --import ./gpg
```



**systemctl工具无法使用**

```
docker run --name=hello2 -itd --privileged=true centos8 /sbin/init

--privileged=true   特权模式

/sbin/init 初始化系统环境
```