## 基于Calibre的多格式导出功能配置

**安装`calibre` 需要 CXXABI版本为：`CXXABI_1.3.8`**
```
#检查CXXABI：查看是否有`CXXABI_1.3.8`，没有说明需要安装
strings /usr/lib64/libstdc++.so.6|grep CXXABI
```

```
ldconfig -p | grep libstdc++

strings /usr/lib64/libstdc++.so.6 | grep CXXABI

mv /usr/lib64/libstdc++.so.6  /usr/lib64/libstdc++.so.6_bak

#上传libstdc++.so.6.0.20到 /usr/lib64

chmod +x /usr/lib64/libstdc++.so.6.0.20

ln -s libstdc++.so.6.0.20 libstdc++.so.6

locate libstdc++.so.6

strings /usr/lib64/libstdc++.so.6|grep CXXABI
```
![](/uploads/linux/images/m_b310aee7b8b8d4b7cc4bd783fb1d0e99_r.png)

```
export LD_LIBRARY_PATH=/usr/lib64/libstdc++.so.6:$LD_LIBRARY_PATH
```
**Calibre 的配置与按照请参考官方文档：**

下载地址：https://calibre-ebook.com/download
根据自己的系统安装对应的calibre（需要注意的是，calibre要安装3.x版本的，2.x版本的功能不是很强大。反正安装最新的就好。）

```
sudo -v &amp;&amp; sudo calibre-uninstall &amp;&amp; wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin version=3.48.0
```
**安装完calibre之后，将calibre加入到系统环境变量中，执行下面的命令之后显示3.x的版本即表示安装成功。**
```
ebook-convert --version
```
**手动执行转换程序，查看是否正常转换：**
```
ebook-convert test.txt test.pdf
```
在配置文件 `conf/appp.conf` 中开启全局导出功能 `enable_export=true `。

Calibre 是一个基于`Python`的电子书制作工具，本身转换文档时非常耗费服务器资源，因此，MinDoc 优化了导出选项，可自定义同时导出的文档数量，具体配置可在`conf/app.conf `中配置：
```
###############配置导出项目###################
enable_export=true
#同一个项目同时运行导出程序的并行数量，取值1-4之间，取值越大导出速度越快，越占用资源
export_process_num=1

#并发导出的项目限制，指同一时间限制的导出项目数量，如果为0则不限制。设置的越大，越占用资源
export_limit_num=5

#指同时等待导出的任务数量
export_queue_limit_num=100

#导出项目的缓存目录配置
export_output_path=./runtime/cache
```
**重启服务：**
```
docker restart mindoc
```