## 磁盘挂载脚本
```
#!/bin/bash
yum install -y lvm2 expect
disk_b=`lsblk -d | egrep "*.b" | cut -d ' ' -f 1`
n='/dev/null'
yum -y install expect >> $n
expect <<EOF
set timeout 10
spawn fdisk /dev/$disk_b
expect "Command" { send "n\n" }
expect "Select" { send "\n" }
expect "Partition" { send "\n" }
expect "First" { send "\n" }
expect "Last" { send "\n" }
expect "Command" { send "t\n" }
expect "Hex" { send "8e\n" }
expect "Command" { send "w\n" }
expect eof
EOF
pvcreate /dev/"$disk_b"1 > $n
vgcreate vg_data /dev/"$disk_b"1 > $n
lvcreate -l +100%FREE -n lv_data vg_data > $n
expect <<EOF
set timeout 10
spawn mkfs.ext4 /dev/vg_data/lv_data
expect "WARNING" { send "y\n" }
expect eof
EOF
mkdir /data
disk=`blkid /dev/mapper/vg_data-lv_data | awk '{print $2}'`
cp /etc/fstab /etc/fstab.bak >> $n
echo "$disk /data ext4 defaults 0 0" >> /etc/fstab
mount -a 
systemctl daemon-reload

```